Subject: [bess] Revew of draft-ietf-bess-evpn-yang-07

From: Qin Wu <[email-masked]>
Date: Thu, 23 May 2019 02:59:38 +0000

Hi, folks:
Have a quick review of draft-ietf-bess-evpn-yang-07, I am confused about EVPN adding dependency to L2VPN YANG. A few quick comments as follows:

1.       Section 1, last paragraph:

Try to understand the relation between L2VPN YANG and EVPN YANG. Is ethernet-segment model is specific to EVPN? It looks Ethernet segment can also be used to model pseudowire which is defined in L2VPN model?

Is L2VPN model a base model while EVPN model is extension to L2VPN model? If this is true, can we move etherent-segment model into L2VPN model draft and consolidate with pseudowire model?

2.       Section 1, last paragraph said:

"That interface can be a physical interface,

   a bundle interface or virtual interface. The latter includes

   attachment-circuit and pseudowire.

"

What does the latter refer to?

Bundle interface or virtual interface or both

3.       Section 3.3 module ietf-evpn

If EVPN model is extension to L2VPN model, I believe these common attributes should be moved to L2VPN model draft? Make sense? Also It will be great to align with ietf-bgp-l3vpn, change the name into ietf-bgp-evpn

4.       Section 3.3, schema tree

Why bgp-parameters are repeated in both ietf-evpn or Ethernet-segment? Is there any rationale behind?

Not sure vpls-constraint attribute is specific to EVPN? Why not define it in the L3VPN model draft?

Confusing the relationship between L2VPN and EVPN.

I would suggest both L2VPN and EVPN augment from Network Instance model and add L2VPN and EVPN specific parameters to address this confusion.

-Qin